Bug 915095 - Review Request: nodejs-mapnik-reference - Reference for Mapnik Styling Options
Summary: Review Request: nodejs-mapnik-reference - Reference for Mapnik Styling Options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 917413
TreeView+ depends on / blocked
 
Reported: 2013-02-24 19:28 UTC by Tom Hughes
Modified: 2013-04-07 00:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-07 00:39:43 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-02-24 19:28:17 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-mapbik-reference.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-mapnik-reference-5.0.4-1.fc18.src.rpm
Fedora Account System Username: tomh

Description:
Provides a parse-able spec of what Mapnik can do - what main structures
it supports (like layers, styles, and symbolizers) and the properties
they can contain. It's useful for building parsers, tests, compilers, and
syntax highlighting/checking for languages

Comment 2 Jamie Nguyen 2013-03-02 16:18:43 UTC
In %check, %{__python2} should be %{__python}.

Also the tests are looking for /usr/share/nodejs-mapnik-reference/ so we need to use a non-patched directory for the tests:

  cp -pr ./ ../package-copy
  %patch0 -p0 -b .paths

  %check
  pushd ../package-copy
  %{__python} test/test.py
  %{__nodejs} test/lint.js
  popd

I also think there are test failures, but it's not clear to me.

Comment 3 Jamie Nguyen 2013-03-02 16:22:12 UTC
In the description, parse-able should maybe be parseable (Firefox thinks parseable is wrong, but Wiktionary has parseable/parsable.. not sure how authoritative wiktionary is though...).

I'd also probably change the first dash to a comma:
Provides a parse-able spec of what Mapnik can do, what main structures it supports...

Comment 4 Tom Hughes 2013-03-02 17:25:57 UTC
Fixed python macro, and removed hyphen from parseable. Fowler's seems clear the hyphen is not needed and is more concerned with whether the e should be removed.

I've fixed the tests as you suggest, though it's not very nice, but I don't think there's anything better. Ideally RPM would run tests against the build root after %install I guess but that would be hard.

The failures you're seeing aren't exactly failures, but then lint.js isn't exactly a test suite - it's more of a coverage test that generates a list of any attributes that don't have documentation yet. Possibly we shouldn't run it - it will never fail (in the exit non-zero sense) anyway.

New spec and SRPM:

Spec URL: http://download.compton.nu/nodejs/nodejs-mapnik-reference.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-mapnik-reference-5.0.4-2.fc18.src.rpm

Comment 5 Jamie Nguyen 2013-03-02 21:29:45 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (mapnik-reference-5.0.4.tgz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nodejs-mapnik-reference-5.0.4-2.fc18.src.rpm
          nodejs-mapnik-reference-5.0.4-2.fc18.noarch.rpm
nodejs-mapnik-reference.src: W: spelling-error %description -l en_US parseable -> parse able, parse-able, separable
nodejs-mapnik-reference.src: W: spelling-error %description -l en_US symbolizers -> symbolizes, symbolize rs, symbolize-rs
nodejs-mapnik-reference.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
nodejs-mapnik-reference.noarch: W: spelling-error %description -l en_US parseable -> parse able, parse-able, separable
nodejs-mapnik-reference.noarch: W: spelling-error %description -l en_US symbolizers -> symbolizes, symbolize rs, symbolize-rs
nodejs-mapnik-reference.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
nodejs-mapnik-reference.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 7 warnings.


Probably all ignorable.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-mapnik-reference
nodejs-mapnik-reference.noarch: W: spelling-error %description -l en_US parseable -> parse able, parse-able, separable
nodejs-mapnik-reference.noarch: W: spelling-error %description -l en_US symbolizers -> symbolizes, symbolize rs, symbolize-rs
nodejs-mapnik-reference.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
nodejs-mapnik-reference.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'


Again, probably all ignorable.



Requires
--------
nodejs-mapnik-reference-5.0.4-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    nodejs(engine)



Provides
--------
nodejs-mapnik-reference-5.0.4-2.fc18.noarch.rpm:
    
    nodejs-mapnik-reference = 5.0.4-2.fc18
    npm(mapnik-reference) = 5.0.4



MD5-sum check
-------------
http://registry.npmjs.org/mapnik-reference/-/mapnik-reference-5.0.4.tgz :
  CHECKSUM(SHA256) this package     : 08047aa5f610e24bb71b11f2e10fbf77fd9a32644d3aec1acb16b5e9f2f405dd
  CHECKSUM(SHA256) upstream package : 08047aa5f610e24bb71b11f2e10fbf77fd9a32644d3aec1acb16b5e9f2f405dd


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review --rpm-spec -n nodejs-mapnik-reference-5.0.4-2.fc18.src.rpm

Comment 6 Jamie Nguyen 2013-03-02 21:39:10 UTC
> I've fixed the tests as you suggest, though it's not
> very nice

Rather horrible indeed, but I couldn't think of anything better either.


> The failures you're seeing aren't exactly failures,
> but then lint.js isn't exactly a test suite - it's
> more of a coverage test that generates a list of
> any attributes that don't have documentation yet.
> Possibly we shouldn't run it - it will never fail
> (in the exit non-zero sense) anyway.

Yeh I think coverage testing is not really the aim of %check so perhaps don't run the lint.js test. Aside from this, everything else looks good so package approved!

Comment 7 Tom Hughes 2013-03-02 21:53:11 UTC
New Package SCM Request
=======================
Package Name: nodejs-mapnik-reference
Short Description: Reference for Mapnik Styling Options
Owners: tomh
Branches: f18
InitialCC:

Comment 8 Gwyn Ciesla 2013-03-04 13:39:24 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-03-04 14:56:05 UTC
nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-3075/nodejs-passport-0.1.16-1.fc18,nodejs-sphericalmercator-1.0.2-1.fc18,nodejs-mapnik-reference-5.0.4-2.fc18,nodejs-chrono-1.0.4-1.fc18

Comment 10 Fedora Update System 2013-03-04 22:29:29 UTC
nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 11 Fedora Update System 2013-03-05 23:23:05 UTC
nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-xml2js-0.2.6-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-03-06 23:01:40 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Fedora Update System 2013-03-10 00:55:49 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 14 Fedora Update System 2013-03-12 08:32:05 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 15 Fedora Update System 2013-03-12 23:30:12 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 16 Fedora Update System 2013-03-15 00:06:51 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 17 Fedora Update System 2013-04-07 00:39:45 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.